의사 결정 풀에 구성원 목록이 없음
API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/decision-pool-members-unsupported입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
의사 결정 풀 <id>에는 구성원 목록이 없습니다. 팀 풀은 조직의 모든 구성원에게 알림을 보내고, 외부 풀은 해당 공급업체에 주문합니다.
필드#
본문에는 표준 항목인 type, status, title, detail 외에도 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
예시#
json
{
"detail": "Decision pool <id> has no member list: the team pool notifies every organization member, and an external pool orders from its provider.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/decision-pool-members-unsupported",
"status": 422,
"title": "Decision pool has no member list"
}이 오류를 반환하는 엔드포인트#
PATCH /v2/organizations/{orgId}/decision-pools/{id}